/* Synopsis: Affichage_I2C_Deplacement_Texte_manuellement 
   Carte   : Arduino Uno
   Afficheur : I2C  
   Librairies: Wire.h et LiquidCrystal_I2C.h
               simpleBouton 
               https://forum.arduino.cc/t/partage-boutons-poussoirs/361656
              
   https://electroniquepassion.fr/ 
   C.Mercier  62128 Boiry-Becquerelle  
*/
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
//  Adresse, Nbr caracteres, Numero ligne
LiquidCrystal_I2C lcd(0x27, 16, 2);

#include <simpleBouton.h>
//  BP entre la masse et entrées 6 et 8
const uint8_t PINBPGAUCHE = 6;
const uint8_t PINBPDROIT = 8;
simpleBouton bpGauche(PINBPGAUCHE);
simpleBouton bpDroit(PINBPDROIT);
//---------------------------------------
void setup()
{
  pinMode (PINBPGAUCHE,INPUT);
  pinMode (PINBPDROIT,INPUT);    
  lcd.init();// init afficheur
  lcd.backlight();
  lcd.clear();
  lcd.setCursor(8,0);
  lcd.print("a");    
  delay(2000);
}
//---------------------------------------
void loop()
{       
bpGauche.actualiser();  
  if (bpGauche.vientDEtreEnfonce() )
    { 
      versGauche();    
    }
bpDroit.actualiser();  
  if (bpDroit.vientDEtreEnfonce() )
    { 
      versDroite();    
    }  
} 
//---------------------------------------
void versGauche()
{
  lcd.scrollDisplayLeft(); // vers gauche
}
//---------------------------------------
void versDroite()
{
  lcd.scrollDisplayRight(); // vers droite 
}
//---------------------------------------
